////////////////////////////////////////////////////////////////////////////////////////////////
// April 2006 - Regularly read from card buffer and create a single raw scan.
#ifndef RQTCOLLECT_H
#define RQTCOLLECT_H

#include "RawScan.h"
#include "DataCollection.h"
#include "NDTSError.h"

#ifdef __cplusplus
extern "C" {
#endif

DC_API NDTS_Boolean DC_CollectInitialise(DC_AssociatedSDK *pAssociatedSDK);
DC_API NDTS_Boolean DC_CollectUninitialise();
DC_API NDTS_Boolean DC_CollectReset(unsigned long cardIndex);
DC_API NDTS_Boolean DC_GetRawScan(unsigned long cardIndex, NDTS_RawScan *pRawScan) ;

// Return true if we have downloaded any B Scans from the card and are storing them ready for collection by the app
DC_API NDTS_Boolean DC_HaveCollectedBScansInCurrentBank(unsigned long cardIndex);


#ifdef __cplusplus
}
#endif

#endif
